Bug 729147

Summary: Bad mouse setting "show position of pointer when Ctrl key pressed"
Product: [Fedora] Fedora Reporter: John Reiser <jreiser>
Component: gnome-desktop3Assignee: Richard Hughes <richard>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: richard
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 21:36:31 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description John Reiser 2011-08-08 20:26:55 UTC
Description of problem: The System Settings > Mouse > "Show position of pointer when Control key is pressed" actually shows the position of the pointer when the control key is _Released_, not when it is Pressed.


Version-Release number of selected component (if applicable):
gnome-desktop3-3.1.4-1.fc16.x86_64
mousetweaks-3.1.4-1.fc16.x86_64
gnome-settings-daemon-3.1.4-2.fc16.x86_64
gsettings-desktop-schemas-3.1.3-1.fc16.noarch


How reproducible: every time


Steps to Reproduce:
1. System Settings > Mouse > Show position of pointer when Control key is pressed
2. Press and hold Ctrl key
3. Move mouse while Ctrl key is still held down
4. Release Ctrl key
  
Actual results: The "impact" animation occurs at the location of the pointer when the Ctrl key is released.


Expected results: The "impact" animation occurs at the location of the pointer when the Ctrl key is pressed.


Additional info:

Comment 1 Fedora End Of Life 2013-01-16 17:11:58 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora End Of Life 2013-02-13 21:36:35 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.